Package it.ernytech.tdlib

## Class TdApi.JoinChatByInviteLink

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.JoinChatByInviteLink

Enclosing class:
  TdApi

    public static class TdApi.JoinChatByInviteLink
    extends TdApi.Function

Uses an invite link to add the current user to the chat if possible. The new member will not be added until the chat state has been synchronized with the server.

Returns `Chat`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `inviteLink` Invite link to import; should begin with "https://t.me/joinchat/", "https://telegram.me/joinchat/", or "https://telegram.dog/joinchat/".

### Constructor Summary

Constructors
`JoinChatByInviteLink()` Default constructor.
`JoinChatByInviteLink​(java.lang.String inviteLink)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### inviteLink

    public java.lang.String inviteLink

Invite link to import; should begin with "https://t.me/joinchat/", "https://telegram.me/joinchat/", or "https://telegram.dog/joinchat/".

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### JoinChatByInviteLink

    public JoinChatByInviteLink()

Default constructor.

#### JoinChatByInviteLink

    public JoinChatByInviteLink​(java.lang.String inviteLink)

Constructor for initialization of all fields.

Parameters:
  `inviteLink` - Invite link to import; should begin with "https://t.me/joinchat/", "https://telegram.me/joinchat/", or "https://telegram.dog/joinchat/".

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR